# class DBus::Type::HashFactory

Syntactic helper for constructing a hash `Type`. You may be looking for {Data::Array} and {Data::DictEntry} instead. @example

    t = Type::Hash[Type::STRING, Type::VARIANT]

### Public Class Methods

[](key_type, value_type) click to toggle source

@param key_type [Type,SingleCompleteType] @param value_type [Type,SingleCompleteType] @return [Type] (frozen)

        # File lib/dbus/type.rb
    353 def self.[](key_type, value_type)
    354   t = Type.new(ARRAY)
    355   de = Type.new(DICT_ENTRY, abstract: true)
    356   de << make_type(key_type)
    357   de << make_type(value_type)
    358   de.members.freeze
    359   t << de
    360   t.members.freeze
    361   t
    362 end